org.flexdock.docking.state

## Class MinimizationManager.Stub

- java.lang.Object
- - org.flexdock.docking.state.MinimizationManager.Stub

- All Implemented Interfaces:
    MinimizationManager
  Enclosing interface:
    MinimizationManager

      public static class MinimizationManager.Stub
      extends java.lang.Object
      implements MinimizationManager

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.flexdock.docking.state.MinimizationManager

      `MinimizationManager.Stub`

  - ### Field Summary

    - ### Fields inherited from interface org.flexdock.docking.state.MinimizationManager

      `BOTTOM, CENTER, DEFAULT_STUB, LEFT, RIGHT, TOP, UNSPECIFIED_LAYOUT_CONSTRAINT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MinimizationManager.Stub()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `close(Dockable dockable)`
    `void` | `preview(Dockable dockable, boolean locked)`
    `void` | `setMinimized(Dockable dockable, boolean minimized, java.awt.Component window, int edge)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MinimizationManager.Stub

          public MinimizationManager.Stub()

  - ### Method Detail

    - #### close

          public boolean close(Dockable dockable)

      Specified by:
        `close` in interface `MinimizationManager`

    - #### preview

          public void preview(Dockable dockable,
                     boolean locked)

      Specified by:
        `preview` in interface `MinimizationManager`

    - #### setMinimized

          public void setMinimized(Dockable dockable,
                          boolean minimized,
                          java.awt.Component window,
                          int edge)

      Specified by:
        `setMinimized` in interface `MinimizationManager`